Page MenuHomePhabricator

Rephrase Flow notifications, move content from body into header
Closed, ResolvedPublic

Description

Currently, most Flow notifications only put the topic name in the header, and put the actual text of the notification in the body. All other notification types outside of Flow put the notification text in the header and use the body for snippets/excerpts/summaries or other such auxiliary information. It's even inconsistent within Flow, because the bundled versions of these notification types do put the message in the header.

We'd like to remove this inconsistency by always putting the notification text in the header, and using the body for snippets where applicable. Additionally, we'd like to remove the user name from the notification text, and instead put that information in the first secondary link. The same goes for the name of the page (Flow board) in most cases.

  • flow-new-topic
    • Single
      • Header: New topic created on <Page name>: "Topic name"
      • Body: excerpt of new topic
      • Primary link: View topic | <topic page url>
      • Secondary link 1: Agent link (already there)
      • Secondary link 2: <Name of the Flow board> | <url of the Flow board sorted by newest topics> (icon?)
    • Bundle
      • Header: N new topics created on <Page name>
      • Primary link: View topics | <url of the Flow board sorted by newest topics>
  • flow-post-reply
    • Single
      • Header: <Username> replied in "topic name"
      • Body: excerpt of reply
      • Primary link: View post | <url of the post>
    • Bundle
      • Header: N new replies in "topic name"
      • Primary link: View post | <url of the topic page, highlighting the first topic of the bundle>
  • flow-post-edited
    • Single
      • Header: Your post on "topic name" was edited
      • Body: excerpt of the post
    • Bundle
      • Header: Your post on "topic name" was edited multiple times
      • Body: excerpt of the post (current version?)
  • flow-topic-renamed
    • Single
      • Header: The topic "old name" was renamed to "new name".
  • flow-mention
    • Single
      • Header: <Username> mentioned you in "title name"
      • Body: Excerpt of the mention, with words surrounding and including the mention.
  • flow-enabled-on-talkpage: No change to header text; remove body

  • The icon for the user name secondary actions is userAvatar, the one for Flow boards is speechBubbles, and the one for the user talk page (in flow-enabled-on-talkpage) is a new one that Pau hasn't yet uploaded an asset for AFAIK.

    Event Timeline

    Catrope created this task.Dec 19 2015, 12:45 AM
    Catrope raised the priority of this task from to Normal.
    Catrope updated the task description. (Show Details)
    Catrope added subscribers: Catrope, Pginer-WMF.
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2015, 12:45 AM

    @jmatazzoni suggests that for flow-post-edited, we may want to link to the diff of the edit instead of / in addition to linking to the board. Thoughts?

    Agree, it should link to the diff. Primary link should either be direct post (not just topic) or diff.

    Pginer-WMF updated the task description. (Show Details)
    Pginer-WMF set Security to None.

    The icon for the user name secondary actions is userAvatar, the one for Flow boards is speechBubbles, and the one for the user talk page (in flow-enabled-on-talkpage) is a new one that Pau hasn't yet uploaded an asset for AFAIK.

    The icon or user talk page is a combination of the user and the speech bubble icon:

    Note that once we get some clarity on which is the official user icon (T115419#1900484), we may need to update one or the other.

    SBisson updated the task description. (Show Details)Jan 11 2016, 10:27 PM
    SBisson updated the task description. (Show Details)Jan 12 2016, 12:51 AM

    Change 263795 had a related patch set uploaded (by Sbisson):
    [WIP] Rephrase Flow notifications

    https://gerrit.wikimedia.org/r/263795

    Change 263795 merged by jenkins-bot:
    Rephrase Flow notifications

    https://gerrit.wikimedia.org/r/263795

    NOTE: the proposed Flow notification language and links at the top of this ticket are no longer current. As of this date, the approved language, links and icons for Flow notifications can be found in the spreadsheet V 2.0 Notifications -- Showing Updated Text and Links

    [In future, going forward from this date, this ticket may include the more up to date information.]

    flow-new-topic

    flow-post-reply


    The same replies as cross-wiki notifications

    flow-post-edited


    flow-topic-renamed

    flow-mention

    flow-enabled-on-talkpage

    jmatazzoni added a comment.EditedFeb 9 2016, 1:36 AM

    I started checking @Etonkovidova's screenshots above from the bottom up, last to first, so that's how these notes are ordered (sorry). Since I wasn't sure if the same person will be working on all these different notification types, I repeated the remarks about formatting, etc. -- many of which apply to nearly all of the examples -- so that these notes could function as checklists. Hope that's helpful.

    flow-enabled-on-talkpage

    • The spreadsheet shows a secondary link to the usertalk page with the new "user talk" icon.
    • user talk page should be in bold.

    flow-mention

    • Re. the form of the flow-mention secondary links, need to resolve T125951
    • However T125951 is resolved, are we including the namespace in the secondary links? (will we need to shorten the truncation spec if we do?)
    • Not seeing the excerpt in any but the example 2. Why?
    • All excerpts are meant to be in quotation marks as per https://phabricator.wikimedia.org/M132
    • On the mockup there is a more noticeable difference between body and head color. Pls check colors/styles. https://phabricator.wikimedia.org/M132

    flow-topic-renamed

    • Are we including the namespace in the secondary links? (will we need to shorten the truncation spec if we do?)

    flow-post-edited

    [second screenshot for flow-post-edited]

    • This time we're missing the secondary link with the username, but we have the link with the pagename.
    • @Pginer-WMF, have a look at the secondary link here; are you truncating the secondary links enough?
    • Are we including the namespace in the secondary links? (will we need to shorten the truncation spec if we do?)
    • Missing ellipses at the end of the excerpt (unless that is the end?)
    • All excerpts are meant to be in quotation marks as per https://phabricator.wikimedia.org/M132

    flow-post-reply

    [first example on the screenshot]

    [second example on the screenshot]
    - This time we're missing the secondary link with the username, but we have the link with the pagename. [NOT CORRECT. STRIKE THIS JM]

    • Missing the excerpt for this multiple version.
    • Are we including the namespace in the secondary links? (will we need to shorten the truncation spec if we do?)

    flow-new-topic

    [first example on the screenshot]

    • page name should be boldface.

    [second example on the screenshot]

    • page name should be boldface.
    • All excerpts are meant to be in quotation marks as per https://phabricator.wikimedia.org/M132
    • On the mockup there is a more noticeable difference between body and head color. Pls check colors/styles. https://phabricator.wikimedia.org/M132
    • Missing ellipses at the end of the excerpt (unless that is the end?)
    • Are we including the namespace in the secondary links? (will we need to shorten the truncation spec if we do?)

    Change 269411 had a related patch set uploaded (by Sbisson):
    Add page link to 'enabled-on-talk-page' notification

    https://gerrit.wikimedia.org/r/269411

    Change 269412 had a related patch set uploaded (by Sbisson):
    Add page link to 'replied' and 'edited' notifications

    https://gerrit.wikimedia.org/r/269412

    General comments:

    • Bolding is done in T121724, where I'm waiting for a confirmation before reworking it.
    • Excerpts are truncated in CSS per @Pginer-WMF's recommendation here T121822#1910033. It ensures that it fills exactly one line of the available space. As a result, quotes are difficult to insert but we can try to find a clever solution. @Pginer-WMF, any special i18n considerations for quotes?

    flow-enabled-on-talkpage

    • The spreadsheet shows a secondary link to the usertalk page with the new "user talk" icon.

    Done in https://gerrit.wikimedia.org/r/269411

    flow-mention

    • Not seeing the excerpt in any but the example 2. Why?

    Good question. @Etonkovidova, what exactly did you do?

    flow-post-edited

    • Missing the secondary link with the pagename of the page in question.

    Done in https://gerrit.wikimedia.org/r/269412

    • Missing ellipses at the end of the excerpt (unless that is the end?)

    It is the end.

    [second screenshot for flow-post-edited]

    • This time we're missing the secondary link with the username, but we have the link with the pagename.

    It's a bundled notification. There are multiple users. Which one would you expect to see here?

    • Missing ellipses at the end of the excerpt (unless that is the end?)

    It is the end.

    flow-post-reply
    [first example on the screenshot]

    • Missing the secondary link with the pagename of the page in question.

    Done in https://gerrit.wikimedia.org/r/269412

    [second example on the screenshot]

    • This time we're missing the secondary link with the username, but we have the link with the pagename.

    It's a bundled notification. There are multiple users. Which one would you expect to see here?

    • Missing the excerpt for this multiple version.

    There are multiple replies. What would you expect to see here?

    flow-mention

    • Not seeing the excerpt in any but the example 2. Why?

    Good question. @Etonkovidova, what exactly did you do?

    The other 3 examples look like mentions in the topic title. There is no excerpt for topic title mentions, because the title is already in the notification text (so the excerpt would just be a duplication). Do we want an excerpt there as well?

    [second screenshot for flow-post-reply]

    • This time we're missing the secondary link with the username, but we have the link with the pagename.

    It's a bundled notification. There are multiple users. Which one would you expect to see here?

    My mistake. There's no call for a username link for the bundled version in flow-post-reply.

    Change 270951 had a related patch set uploaded (by Sbisson):
    Add 'userSpeechBubble' icon

    https://gerrit.wikimedia.org/r/270951

    Change 269412 merged by jenkins-bot:
    Add page link to 'replied' and 'edited' notifications

    https://gerrit.wikimedia.org/r/269412

    Change 270951 merged by jenkins-bot:
    Add 'userSpeechBubble' icon

    https://gerrit.wikimedia.org/r/270951

    Change 269411 merged by jenkins-bot:
    Add page link to 'enabled-on-talk-page' notification

    https://gerrit.wikimedia.org/r/269411

    Add 'userSpeechBubble' icon

    First screenshot: In the screenshot below, user Etonkovidova sees that a new topic was created on her user page by user ET8. And there are a link to user ET8 page and userSpeechBubble icon with link to User talk:Etonkovidova


    Second screenshot: User ET58 replied on User talk page ET70 in topic that is watched by Etonkovidova(that's why Etonkovidova received the notification).

    Add page link to 'replied' and 'edited' notifications

    Secondary link to Talk:ET1 page is present.


    Secondary link to User talk:ET70 page is present.

    Add page link to 'enabled-on-talk-page' notification

    Secondary link to User talk page is present.

    These look good with one exception. Re. this screenshot of flowusertalk-new-topic:

    • the spec shows no secondary link to the user talk page. Please remove.

    These look good with one exception. Re. this screenshot of flowusertalk-new-topic:

    • the spec shows no secondary link to the user talk page. Please remove.

    flowusertalk notifications are part of T121663: Create new notification category for talk pages: flowusertalk

    flowusertalk-new-topic is not a separate notification type but a special case of flow-new-topic, which has a link to the Flow board. Any strong reason to have the link in one but not the other?

    Stephane asks:

    flowusertalk-new-topic is not a separate notification type but a special case of flow-new-topic, which has a link to the Flow board. Any strong reason to have the link in one but not the other?

    None that I can think of. I've added the secondary link to the spec in the spreadsheet and added a note there asking for comment. I'll leave this ticket open for another day or so, in case anyone remembers why we made that call. If no one speaks up, we're done. Anyone? @Pginer-WMF?

    I think it makes sense to keep them consistent, with the board (the talk page in this case) available to provide context.

    Closing this ticket. Thanks all.

    jmatazzoni closed this task as Resolved.Mar 2 2016, 6:41 PM
    jmatazzoni added a subscriber: SBisson.